unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Shareware, Menus;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    About1: TMenuItem;
    Help1: TMenuItem;
    procedure FormShow(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    FShareware: TShareware;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormShow(Sender: TObject);
begin
  FShareware := TShareware.Create;
  with FShareware do
  begin
    RootKey := '\Software\Demo\';
    ApplicationName := 'Sample Program';
    Version := '1.0.0.0';
    MaxTimesToRun := 30;
    EmailToBuy := 'buy_software@somewhere.com';
    EmailForHelp := 'give_me_help@somewhere.com';
    Author := 'Anonymous';
    CopyrightNotice := 'Copyright  2000 - All rights reserved.';
    if not DisplayNotice then
      Application.Terminate;
  end;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  FShareware.Free;
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TForm1.About1Click(Sender: TObject);
begin
  FShareware.About;
end;

end.
